=== debian/changelog ===
r-base (4.3.2-1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 05 Jan 2024 09:47:34 -0800

r-base (4.3.2-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 31 Oct 2023 06:36:03 -0500

r-base (4.3.1-4.2304.0) lunar; urgency=medium

  * PPA build for Ubuntu 23.04 "lunar"

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 05 Aug 2023 16:56:56 -0500

r-base (4.3.1-4) unstable; urgency=medium

  * debian/rules: Correct setting for i386 to always append flags

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 01 Aug 2023 09:58:54 -0500

r-base (4.3.1-3.2304.0) lunar; urgency=medium

  * PPA build for Ubuntu 23.04 "lunar"

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 13 Jul 2023 14:33:06 -0500

r-base (4.3.1-3) unstable; urgency=medium

  * debian/control: Update Breaks: 			(Closes: #1040001)

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 13 Jul 2023 14:13:20 -0500

r-base (4.3.1-2.2304.0) lunar; urgency=medium

  * PPA build for Ubuntu 23.04 "lunar"

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 05 Jul 2023 07:03:48 -0500
