=== debian/control ===
Source: r-base
Section: gnu-r
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Dirk Eddelbuettel <edd@debian.org>
Standards-Version: 4.6.2
Build-Depends: bash-completion,
               bison,
               debhelper-compat (= 12),
               default-jdk [!arm !hppa !kfreebsd-i386 !kfreebsd-amd64 !hurd-i386] | openjdk-10-jdk [!arm !hppa !kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
               g++ (>= 4:4.9.2-2),
               gcc (>= 4:4.9.2-2),
               gfortran (>= 4:4.9.2-2),
               groff-base,
               libblas-dev,
               libbz2-dev,
               libcairo2-dev,
               libcurl4-openssl-dev | libcurl4-dev,
               libjpeg-dev,
               liblapack-dev,
               liblzma-dev,
               libncurses-dev,
               libpango1.0-dev,
               libpcre2-dev,
               libpng-dev,
               libreadline-dev,
               libtiff-dev,
               libx11-dev,
               libxt-dev,
               mpack,
               tcl8.6-dev,
               texinfo,
               texlive-base,
               texlive-extra-utils,
               texlive-fonts-extra,
               texlive-fonts-recommended,
               texlive-latex-base,
               texlive-latex-extra,
               texlive-latex-recommended,
               texlive-plain-generic,
               tk8.6-dev,
               x11proto-core-dev,
               xauth,
               xdg-utils,
               xfonts-base,
               xvfb,
               zlib1g-dev
Vcs-Browser: https://salsa.debian.org/edd/r-base
Vcs-Git: https://salsa.debian.org/edd/r-base.git
Homepage: http://www.r-project.org/

Package: r-base
Architecture: all
Depends: r-base-core (>= ${source:Version}),
         r-recommended (= ${source:Version}),
         ${misc:Depends},
         r-base-html, r-doc-html
Suggests: elpa-ess, r-doc-info | r-doc-pdf
Description: GNU R statistical computation and graphics system
 R is a system for statistical computation and graphics.  It consists
 of a language plus a run-time environment with graphics, a debugger,
 access to certain system functions, and the ability to run programs
 stored in script files.
 .
 The design of R has been heavily influenced by two existing languages:
 Becker, Chambers & Wilks' S and Sussman's Scheme.  Whereas the
 resulting language is very similar in appearance to S, the underlying
 implementation and semantics are derived from Scheme.
 .
 The core of R is an interpreted computer language which allows
 branching and looping as well as modular programming using functions.
 Most of the user-visible functions in R are written in R.  It is
 possible for the user to interface to procedures written in the
 C, C++, or FORTRAN languages for efficiency, and many of R's core
 functions do so.  The R distribution contains functionality for a
 large number of statistical procedures and underlying applied math
 computations.  There is also a large set of functions which provide
 a flexible graphical environment for creating various kinds of data
 presentations.
 .
 Additionally, several thousand extension "packages" are available from
 CRAN, the Comprehensive R Archive Network, many also as Debian packages,
 named 'r-cran-<name>'.
 .
 This package is a metapackage which eases the transition from the
 pre-1.5.0 package setup with its larger r-base package. Once installed, it
 can be safely removed and apt-get will automatically upgrade its components
 during future upgrades.  Providing this package gives a way to users to
 then only install r-base-core if they so desire.

Package: r-base-core
Architecture: any
Depends: ca-certificates,
         libpaper-utils,
         ucf (>= 3.0),
         unzip,
         xdg-utils,
         zip,
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: r-base (<= 1.4.1-1), r-recommended (<< 1.9.0)
Provides: r-api-4.0, r-graphics-engine-${graphicsengine:Version},
          r-base-dev, r-doc-html, r-recommended
Suggests: elpa-ess, r-base-html, r-doc-info | r-doc-pdf, r-mathlib
Breaks: r-cran-cairo (<< 1.6-0-4~),
        r-cran-fnn (<< 1.1.3.2-1~),
        r-cran-intervals (<< 0.15.3-1~),
        r-cran-magick (<< 2.7.4+dfsg-2~),
        r-cran-maldiquant (<< 1.22.1-1~),
        r-cran-ps (<< 1.7.5-1~),
        r-cran-ragg (<< 1.2.5-3~),
        r-cran-svglite (<< 2.1.1-3~),
        r-cran-tibble (<< 3.2.1+dfsg-2~),
        r-cran-tikzdevice (<< 0.12.4-3~),
        r-cran-vdiffr (<< 1.0.5-3~)
Description: GNU R core of statistical computation and graphics system
 R is a system for statistical computation and graphics.  It consists
 of a language plus a run-time environment with graphics, a debugger,
 access to certain system functions, and the ability to run programs
 stored in script files.
 .
 The design of R has been heavily influenced by two existing languages:
 Becker, Chambers & Wilks' S and Sussman's Scheme.  Whereas the
 resulting language is very similar in appearance to S, the underlying
 implementation and semantics are derived from Scheme.
 .
 The core of R is an interpreted computer language which allows
 branching and looping as well as modular programming using functions.
 Most of the user-visible functions in R are written in R.  It is
 possible for the user to interface to procedures written in the
 C, C++, or FORTRAN languages for efficiency, and many of R's core
 functions do so.  The R distribution contains functionality for a
 large number of statistical procedures and underlying applied math
 computations.  There is also a large set of functions which provide
 a flexible graphical environment for creating various kinds of data
 presentations.
 .
 Additionally, several thousand extension "packages" are available
 from CRAN, the Comprehensive R Archive Network, many also as Debian
 packages, named 'r-cran-<name>'.
 .
 This package provides the core GNU R system from which only the optional
 documentation packages r-base-html, r-doc-html, r-doc-pdf and r-doc-info
 have been split off to somewhat reduce the size of this package.

Package: r-base-dev
Architecture: all
Depends: build-essential,
         g++,
         gcc,
         gfortran,
         libblas-dev | libatlas-base-dev,
         libbz2-dev,
         libicu-dev,
         libjpeg-dev,
         liblapack-dev | libatlas-base-dev,
         liblzma-dev,
         libncurses-dev,
         libpcre2-dev,
         libpng-dev,
         libreadline-dev,
         pkg-config,
         r-base-core (>= ${source:Version}),
         xauth,
         zlib1g-dev,
         ${misc:Depends}
Suggests: texinfo,
          texlive-base,
          texlive-extra-utils,
          texlive-fonts-extra,
          texlive-fonts-recommended,
          texlive-latex-base,
          texlive-latex-extra,
          texlive-latex-recommended,
          texlive-plain-generic
Description: GNU R installation of auxiliary GNU R packages
 R is a system for statistical computation and graphics.  It consists
 of a language plus a run-time environment with graphics, a debugger,
 access to certain system functions, and the ability to run programs
 stored in script files.
 .
 The design of R has been heavily influenced by two existing languages:
 Becker, Chambers & Wilks' S and Sussman's Scheme.  Whereas the
 resulting language is very similar in appearance to S, the underlying
 implementation and semantics are derived from Scheme.
 .
 The core of R is an interpreted computer language which allows
 branching and looping as well as modular programming using functions.
 Most of the user-visible functions in R are written in R.  It is
 possible for the user to interface to procedures written in the
 C, C++, or FORTRAN languages for efficiency, and many of R's core
 functions do so.  The R distribution contains functionality for a
 large number of statistical procedures and underlying applied math
 computations.  There is also a large set of functions which provide
 a flexible graphical environment for creating various kinds of data
 presentations.
 .
 Additionally, several thousand extension "packages" are available from
 CRAN, the Comprehensive R Archive Network, many also as Debian packages,
 named 'r-cran-<name>'.
 .
 This package ensures that other Debian packages needed for installation of
 some auxiliary R packages are installed.

Package: r-mathlib
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: r-base-core (= ${binary:Version}), r-base-dev (= ${binary:Version})
Description: GNU R standalone mathematics library
 R is a system for statistical computation and graphics.  It consists
 of a language plus a run-time environment with graphics, a debugger,
 access to certain system functions, and the ability to run programs
 stored in script files.
 .
 The design of R has been heavily influenced by two existing languages:
 Becker, Chambers & Wilks' S and Sussman's Scheme.  Whereas the
 resulting language is very similar in appearance to S, the underlying
 implementation and semantics are derived from Scheme.
 .
 The core of R is an interpreted computer language which allows
 branching and looping as well as modular programming using functions.
 Most of the user-visible functions in R are written in R.  It is
 possible for the user to interface to procedures written in the
 C, C++, or FORTRAN languages for efficiency, and many of R's core
 functions do so.  The R distribution contains functionality for a
 large number of statistical procedures and underlying applied math
 computations.  There is also a large set of functions which provide
 a flexible graphical environment for creating various kinds of data
 presentations.
 .
 Additionally, several thousand extension "packages" are available from
 CRAN, the Comprehensive R Archive Network, many also as Debian packages,
 named 'r-cran-<name>'.
 .
 This package provides the libRmath shared and static libraries which can
 be called from standalone C or C++ code.

Package: r-base-html
Architecture: all
Priority: optional
Section: doc
Depends: r-base-core, ${misc:Depends}
Replaces: r-base (<= 1.4.1-1), r-recommended (<< 1.9.0)
Suggests: mozilla | www-browser, r-doc-html
Description: GNU R html docs for statistical computing system functions
 R is a system for statistical computation and graphics.  It consists
 of a language plus a run-time environment with graphics, a debugger,
 access to certain system functions, and the ability to run programs
 stored in script files.
 .
 The design of R has been heavily influenced by two existing languages:
 Becker, Chambers & Wilks' S and Sussman's Scheme.  Whereas the
 resulting language is very similar in appearance to S, the underlying
 implementation and semantics are derived from Scheme.
 .
 The core of R is an interpreted computer language which allows
 branching and looping as well as modular programming using functions.
 Most of the user-visible functions in R are written in R.  It is
 possible for the user to interface to procedures written in the
 C, C++, or FORTRAN languages for efficiency, and many of R's core
 functions do so.  The R distribution contains functionality for a
 large number of statistical procedures and underlying applied math
 computations.  There is also a large set of functions which provide
 a flexible graphical environment for creating various kinds of data
 presentations.
 .
 Additionally, several thousand extension "packages" are available from
 CRAN, the Comprehensive R Archive Network, many also as Debian packages,
 named 'r-cran-<name>'.
 .
 This package provides html documentation suitable for browsing with a
 web-browser for the libraries included in the r-base package. It is not
 a required package as the same documentation is already included for
 on-line browsing.

Package: r-doc-pdf
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: r-base-core, xdg-utils | pdf-viewer
Description: GNU R pdf manuals for statistical computing system
